﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>SOD Prerequisites</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>SOD Prerequisites</h1>
        <p>Following are the prerequisites, before you begin working with the&#160;<strong>SOD</strong>&#160;module.</p>
        <ol>
            <li>
                <p>Specify the following for Detective SOD evaluation job.</p>
                <ol>
                    <li>
                        <p>Select the class filters (Ruleset and Endpoint) from Global Configurations - Any accounts returned from these filters will be considered for SOD evaluation and all other SOD violations for the selected rulesets that are in open/accepted state will be moved to Closed.</p>
                    </li>
                    <li>
                        <p>While exporting a SOD report, specify the default attributes, that needs to be displayed, from <strong>Admin &gt; Global Configurations &gt; SOD</strong>. For more information, <MadCap:xref href="../Chapter06-Configuring-EIC/SOD-Configuration.htm">SOD Configurations</MadCap:xref>.<br />If user needs additional attributes, they can select additional columns while downloading the report. This configuration is applicable across SOD workbench, simulation, and ruleset.</p>
                    </li>
                    <li>
                        <p>Add the below parameters in the externalconfig.properties file.</p>
                    </li>
                </ol>
            </li>
        </ol>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col style="width: 277.0px;" class="TableStyle-Default-Table-Column-Column1" />
            <col style="width: 153.0px;" class="TableStyle-Default-Table-Column-Column1" />
            <col style="width: 1097.0px;" class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Example Value</th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">sav.productname</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">ars</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Specify the product name.<br />Sample value: ars</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">sod.entitlement.depth</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">4</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Specify this property to handle the sod evaluation of entitlement hierarchy. This is applicable for both sap and non sap application for which sod.entitlement.depth is added in externalconfig.properties file.</p>
                        <p class="table-text">The entitlement depth can be set to a maximum of 14.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">job.ecm.bulkBatchSize</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">30</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Specifies number of insertion/deletion of records in bulk per query.</p>
                        <p class="table-text">The default batch size is set to 10.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">job.ecm.batchSizeIOPS</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">900</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Specifies the number of queries in one commit to the database. If the first config is set to 10 and second to 500, then the total number of records inserted/deleted would be (10*500) per batch.=500.</p>
                        <p class="table-text">The default number of queries is set to 500</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">sod.detective.improvePerformance</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">false</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Specifies the action to be performed for improving the performance while evaluating a function. The options are:</p>
                        <ul>
                            <li>
                                <p class="table-text">True</p>
                            </li>
                            <li>
                                <p class="table-text">False</p>
                            </li>
                        </ul>
                        <p class="table-text">The default value is set to false. But, you can set it to true to improve SOD performance only if the Engineering Team recommends.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">sod.fieldval.considerPrecedingZeros</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">true</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">While performing SOD evaluation on SAP objects, SOD engine now treats the field values of certain objects differently. For example, objects whose field values are specified as '0001' are treated as different from ‘01’ by the SOD engine. &#160;</p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">To treat the field values differently, you must set the <strong>sod.fieldval.considerPrecedingZeros</strong> attribute as <strong>true </strong>in the externalconfig.properties file.</p>
                        </div>
                        <p class="table-text">By default, this attribute is set to false during SOD evaluation.</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <p>2. Specify the following for Preventative SOD evaluation job. This is mainly used while raising an access request.</p>
        <ul>
            <li>
                <p>Select <strong>Show Existing SOD in Request</strong> check box to view the existing SOD violations while raising the access request.</p>
            </li>
            <li>
                <p>Specify the endpoints for which the SOD violations needs to be evaluated based on the endpointname (not the display name). However, if you do not specify any endpoints in the externalconfig.properties file, all the endpoints that are available in Saviynt Identity Governance and Administration (IGA) will be considered for evaluation.</p>
                <ul>
                    <li>
                        <p>In the old IGA Interface, specify the endpoints in the externalconfig.properties file.</p>
                    </li>
                    <li>
                        <p>In the new IGA Interface, specify the endpoints in <strong>Admin &gt; Global Configurations &gt; SOD &gt; Class Filters On SOD</strong> Page.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Select <strong>Evaluate SOD during Access Request</strong> option from the <strong>Ruleset info </strong>page.</p>
            </li>
            <li>
                <p>Specify the entitlements that must be used for calculating SODs from <strong>Admin &gt; Global Configurations &gt; Request</strong>. For more information on fields specific to SOD, see <MadCap:xref href="../Chapter06-Configuring-EIC/ARS-Request-Configurations.htm">ARS Request Configurations.</MadCap:xref></p>
            </li>
            <li>
                <p>Evaluate SODs for different roles from <strong>Admin &gt; Global Configurations &gt; Role Request</strong>. For more information on fields specific to SOD, see <MadCap:xref href="../Chapter06-Configuring-EIC/Roles-Request-Configuration.htm">Roles Request Configurations</MadCap:xref>.</p>
                <ul>
                    <li>
                        <p>For Enterprise Roles, select <strong>Evaluate SOD For Enterprise Roles</strong> check box.</p>
                    </li>
                    <li>
                        <p>For Emergency Access Role, select <strong>Evaluate SOD For Emergency Access Role</strong> check box.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Enable <strong>Show SOD in Request </strong>option from the <strong>SAV Role Detail </strong>page to view SODs during access request.</p>
            </li>
        </ul>
        <p>3. Specify the following for the OnDemand SOD (if required). </p>
        <ul>
            <li>
                <p>Configure the SOD_AWS_CLOUD_JOB_SETTINGS in configuration table with correct instance details. For more information, contact DevOps/Ops person.</p>
            </li>
            <li>
                <p>If there are more than 1000 accounts that needs to be evaluated via an OnDemand instance, specify the value of the <strong>minimumAccountsToStartOnDemandSOD </strong>parameter as 1000 in the externalconfig.properties file and run the detective job for the OnDemand instance to begin the evaluation.</p>
            </li>
        </ul>
        <p>4. Perform the following after upgrading IGA.</p>
        <ul>
            <li>Run the upgrade job from <strong>Admin &gt; Job Control Panel</strong> by selecting the category as <strong>System</strong>,the Job Type as <strong>Upgrade Job</strong>, and the upgrade type as <strong>Fix SOD Violations Data</strong>. Existing SOD violation details are updated according to the upgraded version.</li>
        </ul>
    </body>
</html>